Subject: bug#10307: 23.3; Shell fails to run when current-working-directory is not existant

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 17 Aug 2019 18:03:03 -0700

Ashok Gautham <[email-masked]> writes:

> * Steps to reproduce bug
> 1. C-x C-f ~/nonExistant/foo.txt 
>
>    not do this because I want to use the shell to run a command that
>    (Message: Type M-x make-directory RET RET to create directory) I do
>    would create this for me.
>
> 2. M-x shell
>    (Message: No such file or directory) Shell does not open
>
> * Expected Behaviour
> 1. Open shell with nearest parent directory that is alive
>    (or)
> 2. Prompt for the working-directory for shell
>    (or in the worst case)
> 3. Die with an Error: Shell cannot work without an existing current
>    directory

(I'm going through old bug reports that unfortunately have gotten no
responses yet.)

I tried this in Emacs 27, and it seems like this has been fixed in the
years since this bug was filed.  In this situation, Emacs now sets
default-directory to "/".

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no